# Generated from tune_script-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tune_script

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: Ruby gem to control iTunes using AppleScript
License: MIT
URL: https://github.com/eangach/tune_script
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(minitest-reporters)
# BuildRequires: rubygem(codeclimate-test-reporter)
BuildArch: noarch

%description
Uses AppleScript scripts to drive iTunes. This is not a low level interface
and will not be
as efficient as a low level interface. The main purpose is to have an
interface which should still work when iTunes or
OSX is upgraded.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/tune_script.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.4-1
- Initial package
